> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmsysteminformationreport.md).

# Get-RDMSystemInformationReport

Get-RDMSystemInformationReport récupère les rapports existants d'une entrée de rapport d'information système, filtrables par date de création ou par le plus récent.

### Résumé

Obtenir les rapports existants d'une entrée de rapport d'information système

### Syntaxe

#### Id

```
Get-RDMSystemInformationReport [-ID] <guid> [-After <datetime>] [-Before <datetime>] [-Last]
 [-VaultMode <VaultMode>] [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### InputObject

```
Get-RDMSystemInformationReport [-InputObject] <PSConnection> [-After <datetime>]
 [-Before <datetime>] [-Last] [-VaultMode <VaultMode>] [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Description

Obtenir les rapports existants d'une entrée de rapport d'information système. Il est possible de les filtrer par leur date de création avec les paramètres « After » et « Before ». Les deux sont inclusifs. Pour obtenir le dernier rapport, utilisez simplement le commutateur « Last ».

### Exemples

#### Exemple 1

```powershell
PS C:\> Get-RDMEntry -Name 'MySystemInformationReportEntry' | Get-RDMSystemInformationReport -Last
```

Obtenir le dernier rapport généré à partir de l'entrée « MySystemInformationReportEntry »

#### Exemple 2

```powershell
PS C:\> $lastYearReports = Get-RDMEntry -Name 'MySystemInformationReportEntry' | Get-RDMSystemInformationReport -After 2023-01-01 -Before 2023-12-31
PS C:\> foreach ($report in $lastYearReports) {
          $exportPath = "C:\my\path\$($report.Inventory.ComputerName)_$($report.MetaInformation.CreationDate.ToString('yyyy-MM-dd')).inv"
          Export-RDMSystemInformationReport -Path $exportPath -InputObject $report
        }
```

Exporter tous les inventaires de la dernière année

### Paramètres

#### -After

Retourne les rapports d'inventaire créés après la date spécifiée

```yaml
Type: System.DateTime
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Before

Retourne les rapports d'inventaire créés avant la date spécifiée

```yaml
Type: System.DateTime
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Commutateur à utiliser avec prudence. Il répondra automatiquement aux invites posant des questions oui/non, oui/non/annuler ou ok/annuler. En cas d'invites multiples, plusieurs valeurs peuvent être passées à ce paramètre. Voici les valeurs acceptées :

* Yes : Accepter l'invite. Couvre les valeurs OK et Automatic.
* No : Refuser l'invite oui/non/annuler. « Cancel » est l'option de repli s'il n'y a pas d'option « No ».
* Cancel : Annuler l'invite oui/non/annuler. « No » est l'option de repli s'il n'y a pas d'option « Cancel ».

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ID

ID de l'entrée de rapport d'information système

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Id
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Entrée de rapport d'information système

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Last

Retourne le dernier rapport d'inventaire

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultMode

Coffre dans lequel la commande sera appliquée. Trois choix sont offerts :

* Default : Coffre actuel qui a été défini.
* User : Coffre spécifique à l'utilisateur actuel.
* Global : Coffre global de l'espace de travail.

```yaml
Type: Devolutions.RemoteDesktopManager.VaultMode
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Entrée de rapport d'information système

### Notes

Pour plus d'information, tapez « Get-Help Get-RDMSystemInformationReport -detailed ». Pour de l'information technique, tapez « Get-Help Get-RDMSystemInformationReport -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmsysteminformationreport.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
